//=====================================================================================================================
// This code is from Leuze electronic GmbH + Co. KG. It is free software, WITHOUT ANY GUARANTEES OR WARRANTY
// (without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE).
// Although the author has attempted to find and correct any bugs in this free software, the author is not responsible
// for any damage or losses of any kind caused by the use or misuse of the program. 
// The author is under no obligation to provide support, service, corrections, or upgrades to this software.
/**
@file         LxS_Stuff.h
@brief        GUI-Example for using LxS-Lib. (Header)
@author       Archipov Slava
@version      1.0.0
*/
//=====================================================================================================================

#ifndef   __DEVEL_LXS_STUFF_H__
#define   __DEVEL_LXS_STUFF_H__

// Definitions and Constants

extern void SetWorkingMode(HWND hWnd, bool state);
extern void CreateTestGUI(HWND hwnd);
extern bool ExecuteAction(HWND hWnd, int id, int evnt);
extern void OnPaint(HWND hWnd);
extern void CALLBACK MyCB(LxS::eData dt, BYTE * ptr, int len);
extern LxS::Device * lxs;

#define MY_SCR_MIN            2
#define MY_SCR_MAX            40

#define IDC_MY_EDT_000        200
#define IDC_MY_BTN_001        201
#define IDC_MY_BTN_002        202
#define IDC_MY_BTN_003        203
#define IDC_MY_BTN_004        204
#define IDC_MY_BTN_005        205
#define IDC_MY_BTN_006        206
#define IDC_MY_BTN_007        207
#define IDC_MY_BTN_008        208
#define IDC_MY_EDT_009        209
#define IDC_MY_BTN_010        210
#define IDC_MY_SCR_011        211
#define IDC_MY_CHK_012        212
#define IDC_MY_EDT_013        213
#define IDC_MY_EDT_014        214
#define IDC_MY_EDT_015        215
#define IDC_MY_EDT_016        216




#endif // __DEVEL_LXS_STUFF_H__
