//=====================================================================================================================
// This code is from Leuze electronic GmbH + Co. KG. It is free software, WITHOUT ANY GUARANTEES OR WARRANTY
// (without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE).
// Although the author has attempted to find and correct any bugs in this free software, the author is not responsible
// for any damage or losses of any kind caused by the use or misuse of the program. 
// The author is under no obligation to provide support, service, corrections, or upgrades to this software.
//--------------------------------------------------------------------------------------------------------------------
/**
@file         LxS_Lib.h
@brief        Common Interface for LxS-Library
@author       Archipov Slava
@version      1.0.0
*/
//=====================================================================================================================

#ifndef   __DEVEL_LXS_LIB_H__
#define   __DEVEL_LXS_LIB_H__

//---------------------------------------------------------------------------------------------------------------------
// used libs
//
#include <ctime>
#include <process.h>
#include <winsock2.h>
#pragma comment(lib, "ws2_32.lib") // Winsock Library

//---------------------------------------------------------------------------------------------------------------------
// LxS includes
//
#include "LxS_Def.h"
#include "LxS_Param.h"
#include "LxS_ParamSet.h"
#include "LxS_Config.h"
#include "LxS_Device.h"

#endif // __DEVEL_LXS_LIB_H__
